Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
LSB (Linux Standard Base) sous gentoo?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
noobux
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2011
Posts: 148

PostPosted: Sun Jun 05, 2011 2:43 pm    Post subject: LSB (Linux Standard Base) sous gentoo? Reply with quote

Salut à tous :D , excusez moi si il y a en fait 2 postes (petits) dans ce sujet mais dont le principal concerne LSB (je sais que ce n'est pas vraiment en conformité avec les règles du forum mais je ne voulais pas trop 'flooder' avec des petites questions).

LSB (ou Linux Standard Base) :

J'aimerais savoir s'il est possible d'avoir lsb sans problèmes sous gentoo car par exemple quand je veux faire un ./install.sh (issu du tar.gz officiel du programme hamachi) j'obtiens ce message là :
Code:
ogMeIn Hamachi2 needs lsb package

J'ai rapidement regardé la doc mais je ne sais pas si c'est une bonne idée d'utiliser LSB (ça n'a pas trop l'air dans l'esprit de gentoo) ... Si vous avez des témoignages à faire n'hésitez pas !

TESTING ? (désolé du hs)

Accesoirement (un peu hs) je voudrais aussi savoir si c'est plutôt une bonne idée de passer dans la branche de testing ( ~amd64 dans mon cas ) ou du moins si ce n'en est pas une trop mauvaise ^^, car même si ces paquets sont instables le fait d'avoir par exemple la dernière version de firefox corrige de nombreuses failles. Je me demande aussi comment ça se passe vu que j'ai un profil multilib, si je passe en ~amd64 je passerais aussi en ~x86 par défaut?

Désolé pour le peu d'organisation du topic mais je trouvais pas convenable de faire deux postes pour des sujets aussi petits :).
Back to top
View user's profile Send private message
brubru
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2008
Posts: 109
Location: France

PostPosted: Sun Jun 05, 2011 5:37 pm    Post subject: Reply with quote

une petit coup de eix me donne:
Code:
* net-misc/logmein-hamachi
     Available versions:  ~2.0.1.13!m
     Homepage:            https://secure.logmein.com/products/hamachi2
     Description:         LogMeIn Hamachi VPN tunneling engine


donc à priori c'est installable sur gentoo sans avoir besoin d'un paquet lsb.

Pour les paquets en test, tu peux aussi le faire au coup par coup en les mettant dans ton package.keywords:
Code:
www-client/firefox               ~amd64
net-misc/logmein-hamachi            ~amd64


Voir la doc gentoo: Mixing Software Branches

EDIT:

zut, j'avais pas vu ton autre message avec les problèmes pour emerger le paquet,
dans ce cas regarde dans le code de l'ebuild pour voir comment ils font pour eviter le paquet lsb
(en gros ils n'utilisent pas le script install.sh et installent les binaires à la main).
il y a aussi les fichiers à placer dans init.d et conf.d, ce qui remplace le lsb sous gentoo.
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1698
Location: 127.0.0.1

PostPosted: Sun Jun 05, 2011 5:58 pm    Post subject: Re: LSB (Linux Standard Base) sous gentoo? Reply with quote

noobux wrote:
car même si ces paquets sont instables le fait d'avoir par exemple la dernière version de firefox corrige de nombreuses failles.

Non. Il n'y a pas plus de failles dans la dernière version 3.x que dans la 4.x.
Edit: et de façon générale, ce n'est pas parce que tu es dans la branche instable que tu es plus en sécurité par rapport à la branche stable.
Les correctifs pour tout ce qui concerne les failles de sécurité sont appliqués/backportés ou au pire les versions corrigées sont stabilisées.
Back to top
View user's profile Send private message
noobux
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2011
Posts: 148

PostPosted: Sun Jun 05, 2011 7:46 pm    Post subject: Reply with quote

J''ai déjà lu mixing software branche mais j'hésitais à passer vraiment à la branche instable (pour tout les paquets), enfin je pense au final que je vais tenter sans, je vais conserver le système avec package.keywords je vois pas trop comment remplacer install.sh mais je vais chercher un peu. Je vais donc laisser tomber LSB et ne pas installer le paquet (le paquet lsb exite).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum